version: '3'
services:
  db:
    image: mysql:8
    container_name: billiard_mysql_db_prod
    volumes:
      - mysql:/var/lib/mysql
    environment:
      MYSQL_USER: billiard
      MYSQL_PASSWORD: billiard
      MYSQL_DATABASE: billiard
      MYSQL_ROOT_PASSWORD: billiard
    ports:
      - '3306:3306'
  app:
    image: pc-billiard
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - '3000:3000'
    depends_on:
      - db
    environment:
      - NODE_ENV=production
      - ORM_CONNECTION=mysql
      - ORM_HOST=db
      - ORM_PORT=3306
      - ORM_USERNAME=billiard
      - ORM_PASSWORD=billiard
      - ORM_DB=billiard
      - ORM_LOGGING=true
    command: ["yarn", "start:prod"]
volumes:
  mysql:
